sap.ui.define(["exports", "sap/ui/webc/common/thirdparty/base/renderer/LitRenderer"], function (_exports, _LitRenderer) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  /* eslint no-unused-vars: 0 */
  const block0 = (context, tags, suffix) => (0, _LitRenderer.html)`<div class="ui5-sn-root">${context.showHeader ? block1(context, tags, suffix) : undefined}${context.items.length ? block2(context, tags, suffix) : undefined}<div class="ui5-sn-spacer"></div>${context.fixedItems.length ? block6(context, tags, suffix) : undefined}</div> `;

  const block1 = (context, tags, suffix) => (0, _LitRenderer.html)`<slot name="header"></slot>`;

  const block2 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-tree", tags, suffix)} id="ui5-sn-items-tree" class="ui5-sn-items-tree" mode="None" ?_minimal="${(0, _LitRenderer.ifDefined)(context.collapsed)}" _toggle-button-end @ui5-item-click="${(0, _LitRenderer.ifDefined)(context.handleTreeItemClick)}">${(0, _LitRenderer.repeat)(context._items, (item, index) => item._id || index, (item, index) => block3(item, index, context, tags, suffix))}</${(0, _LitRenderer.scopeTag)("ui5-tree", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-tree id="ui5-sn-items-tree" class="ui5-sn-items-tree" mode="None" ?_minimal="${(0, _LitRenderer.ifDefined)(context.collapsed)}" _toggle-button-end @ui5-item-click="${(0, _LitRenderer.ifDefined)(context.handleTreeItemClick)}">${(0, _LitRenderer.repeat)(context._items, (item, index) => item._id || index, (item, index) => block3(item, index, context, tags, suffix))}</ui5-tree>`;

  const block3 = (item, index, context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)} icon="${(0, _LitRenderer.ifDefined)(item.item.icon)}" .associatedItem="${(0, _LitRenderer.ifDefined)(item.item)}" text="${(0, _LitRenderer.ifDefined)(item.item.text)}" title="${(0, _LitRenderer.ifDefined)(item.item._tooltip)}" ?has-children="${item.item.items.length}" ?expanded="${item.item.expanded}" ?selected="${item.selected}">${!context.collapsed ? block4(item, index, context, tags, suffix) : undefined}</${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-tree-item icon="${(0, _LitRenderer.ifDefined)(item.item.icon)}" .associatedItem="${(0, _LitRenderer.ifDefined)(item.item)}" text="${(0, _LitRenderer.ifDefined)(item.item.text)}" title="${(0, _LitRenderer.ifDefined)(item.item._tooltip)}" ?has-children="${item.item.items.length}" ?expanded="${item.item.expanded}" ?selected="${item.selected}">${!context.collapsed ? block4(item, index, context, tags, suffix) : undefined}</ui5-tree-item>`;

  const block4 = (item, index, context, tags, suffix) => (0, _LitRenderer.html)`${(0, _LitRenderer.repeat)(item.item.items, (item, index) => item._id || index, (item, index) => block5(item, index, context, tags, suffix))}`;

  const block5 = (item, index, context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)} .associatedItem="${(0, _LitRenderer.ifDefined)(item)}" text="${(0, _LitRenderer.ifDefined)(item.text)}" title="${(0, _LitRenderer.ifDefined)(item._tooltip)}" icon="${(0, _LitRenderer.ifDefined)(item.icon)}" ?selected="${item.selected}"></${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-tree-item .associatedItem="${(0, _LitRenderer.ifDefined)(item)}" text="${(0, _LitRenderer.ifDefined)(item.text)}" title="${(0, _LitRenderer.ifDefined)(item._tooltip)}" icon="${(0, _LitRenderer.ifDefined)(item.icon)}" ?selected="${item.selected}"></ui5-tree-item>`;

  const block6 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<div><div class="ui5-sn-bottom-content-border"><span></span></div><${(0, _LitRenderer.scopeTag)("ui5-tree", tags, suffix)} id="ui5-sn-fixed-items-tree" mode="None" ?_minimal="${(0, _LitRenderer.ifDefined)(context.collapsed)}" _toggle-button-end @ui5-item-click="${(0, _LitRenderer.ifDefined)(context.handleTreeItemClick)}">${(0, _LitRenderer.repeat)(context._fixedItems, (item, index) => item._id || index, (item, index) => block7(item, index, context, tags, suffix))}</${(0, _LitRenderer.scopeTag)("ui5-tree", tags, suffix)}></div>` : (0, _LitRenderer.html)`<div><div class="ui5-sn-bottom-content-border"><span></span></div><ui5-tree id="ui5-sn-fixed-items-tree" mode="None" ?_minimal="${(0, _LitRenderer.ifDefined)(context.collapsed)}" _toggle-button-end @ui5-item-click="${(0, _LitRenderer.ifDefined)(context.handleTreeItemClick)}">${(0, _LitRenderer.repeat)(context._fixedItems, (item, index) => item._id || index, (item, index) => block7(item, index, context, tags, suffix))}</ui5-tree></div>`;

  const block7 = (item, index, context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)} icon="${(0, _LitRenderer.ifDefined)(item.item.icon)}" .associatedItem="${(0, _LitRenderer.ifDefined)(item.item)}" text="${(0, _LitRenderer.ifDefined)(item.item.text)}" title="${(0, _LitRenderer.ifDefined)(item.item._tooltip)}" ?has-children="${item.item.items.length}" ?expanded="${item.item.expanded}" ?selected="${item.selected}">${!context.collapsed ? block8(item, index, context, tags, suffix) : undefined}</${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-tree-item icon="${(0, _LitRenderer.ifDefined)(item.item.icon)}" .associatedItem="${(0, _LitRenderer.ifDefined)(item.item)}" text="${(0, _LitRenderer.ifDefined)(item.item.text)}" title="${(0, _LitRenderer.ifDefined)(item.item._tooltip)}" ?has-children="${item.item.items.length}" ?expanded="${item.item.expanded}" ?selected="${item.selected}">${!context.collapsed ? block8(item, index, context, tags, suffix) : undefined}</ui5-tree-item>`;

  const block8 = (item, index, context, tags, suffix) => (0, _LitRenderer.html)`${(0, _LitRenderer.repeat)(item.item.items, (item, index) => item._id || index, (item, index) => block9(item, index, context, tags, suffix))}`;

  const block9 = (item, index, context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)} .associatedItem="${(0, _LitRenderer.ifDefined)(item)}" text="${(0, _LitRenderer.ifDefined)(item.text)}" title="${(0, _LitRenderer.ifDefined)(item._tooltip)}" ?selected="${item.selected}"></${(0, _LitRenderer.scopeTag)("ui5-tree-item", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-tree-item .associatedItem="${(0, _LitRenderer.ifDefined)(item)}" text="${(0, _LitRenderer.ifDefined)(item.text)}" title="${(0, _LitRenderer.ifDefined)(item._tooltip)}" ?selected="${item.selected}"></ui5-tree-item>`;

  var _default = block0;
  _exports.default = _default;
});