sap.ui.define(["exports", "sap/ui/webc/common/thirdparty/base/renderer/LitRenderer"], function (_exports, _LitRenderer) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;

  /* eslint no-unused-vars: 0 */
  const block0 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<div class="${(0, _LitRenderer.classMap)(context.classes.wrapper)}" role="banner" aria-label="${(0, _LitRenderer.ifDefined)(context._shellbarText)}" part="root"><div class="ui5-shellbar-overflow-container ui5-shellbar-overflow-container-left">${context.startButton.length ? block1(context, tags, suffix) : undefined}${context.hasMenuItems ? block2(context, tags, suffix) : undefined}${!context.hasMenuItems ? block8(context, tags, suffix) : undefined}${context.secondaryTitle ? block11(context, tags, suffix) : undefined}</div><div class="ui5-shellbar-overflow-container ui5-shellbar-overflow-container-middle">${context.showCoPilot ? block12(context, tags, suffix) : block15(context, tags, suffix)}</div><div class="ui5-shellbar-overflow-container ui5-shellbar-overflow-container-right"><div class="ui5-shellbar-overflow-container-right-child">${context.hasSearchField ? block16(context, tags, suffix) : undefined}${(0, _LitRenderer.repeat)(context.customItemsInfo, (item, index) => item._id || index, (item, index) => block19(item, index, context, tags, suffix))}${context.showNotifications ? block20(context, tags, suffix) : undefined}<${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} id="${(0, _LitRenderer.ifDefined)(context._id)}-item-5" style="${(0, _LitRenderer.styleMap)(context.styles.items.overflow)}" class="${(0, _LitRenderer.classMap)(context.classes.items.overflow)} ui5-shellbar-button ui5-shellbar-overflow-button-shown ui5-shellbar-overflow-button" icon="sap-icon://overflow" @click="${context._handleOverflowPress}" tooltip="${(0, _LitRenderer.ifDefined)(context._overflowText)}" .accessibilityAttributes=${(0, _LitRenderer.ifDefined)(context.accInfo.overflow.accessibilityAttributes)} data-ui5-stable="overflow"></${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}>${context.hasProfile ? block21(context, tags, suffix) : undefined}${context.showProductSwitch ? block22(context, tags, suffix) : undefined}</div></div></div> ` : (0, _LitRenderer.html)`<div class="${(0, _LitRenderer.classMap)(context.classes.wrapper)}" role="banner" aria-label="${(0, _LitRenderer.ifDefined)(context._shellbarText)}" part="root"><div class="ui5-shellbar-overflow-container ui5-shellbar-overflow-container-left">${context.startButton.length ? block1(context, tags, suffix) : undefined}${context.hasMenuItems ? block2(context, tags, suffix) : undefined}${!context.hasMenuItems ? block8(context, tags, suffix) : undefined}${context.secondaryTitle ? block11(context, tags, suffix) : undefined}</div><div class="ui5-shellbar-overflow-container ui5-shellbar-overflow-container-middle">${context.showCoPilot ? block12(context, tags, suffix) : block15(context, tags, suffix)}</div><div class="ui5-shellbar-overflow-container ui5-shellbar-overflow-container-right"><div class="ui5-shellbar-overflow-container-right-child">${context.hasSearchField ? block16(context, tags, suffix) : undefined}${(0, _LitRenderer.repeat)(context.customItemsInfo, (item, index) => item._id || index, (item, index) => block19(item, index, context, tags, suffix))}${context.showNotifications ? block20(context, tags, suffix) : undefined}<ui5-button id="${(0, _LitRenderer.ifDefined)(context._id)}-item-5" style="${(0, _LitRenderer.styleMap)(context.styles.items.overflow)}" class="${(0, _LitRenderer.classMap)(context.classes.items.overflow)} ui5-shellbar-button ui5-shellbar-overflow-button-shown ui5-shellbar-overflow-button" icon="sap-icon://overflow" @click="${context._handleOverflowPress}" tooltip="${(0, _LitRenderer.ifDefined)(context._overflowText)}" .accessibilityAttributes=${(0, _LitRenderer.ifDefined)(context.accInfo.overflow.accessibilityAttributes)} data-ui5-stable="overflow"></ui5-button>${context.hasProfile ? block21(context, tags, suffix) : undefined}${context.showProductSwitch ? block22(context, tags, suffix) : undefined}</div></div></div> `;

  const block1 = (context, tags, suffix) => (0, _LitRenderer.html)`<slot name="startButton"></slot>`;

  const block2 = (context, tags, suffix) => (0, _LitRenderer.html)`${!context.showLogoInMenuButton ? block3(context, tags, suffix) : undefined}${context.showTitleInMenuButton ? block4(context, tags, suffix) : undefined}${context.showMenuButton ? block5(context, tags, suffix) : undefined}`;

  const block3 = (context, tags, suffix) => (0, _LitRenderer.html)`<span class="ui5-shellbar-logo" role="button" aria-label="${(0, _LitRenderer.ifDefined)(context._logoText)}" title="${(0, _LitRenderer.ifDefined)(context._logoText)}" @click="${context._logoPress}" @keydown="${context._logoKeydown}" @keyup="${context._logoKeyup}" tabindex="0" data-ui5-stable="logo"><slot name="logo"></slot></span>`;

  const block4 = (context, tags, suffix) => (0, _LitRenderer.html)`<h1 class="ui5-hidden-text">${(0, _LitRenderer.ifDefined)(context.primaryTitle)}</h1>`;

  const block5 = (context, tags, suffix) => (0, _LitRenderer.html)`<button class="${(0, _LitRenderer.classMap)(context.classes.button)}" @click="${context._header.press}" aria-haspopup="menu" aria-expanded="${(0, _LitRenderer.ifDefined)(context._menuPopoverExpanded)}" data-ui5-stable="menu">${context.showLogoInMenuButton ? block6(context, tags, suffix) : undefined}${context.showTitleInMenuButton ? block7(context, tags, suffix) : undefined}<span class="ui5-shellbar-menu-button-arrow"></span></button>`;

  const block6 = (context, tags, suffix) => (0, _LitRenderer.html)`<span class="ui5-shellbar-logo" aria-label="${(0, _LitRenderer.ifDefined)(context._logoText)}" title="${(0, _LitRenderer.ifDefined)(context._logoText)}"><slot name="logo"></slot></span>`;

  const block7 = (context, tags, suffix) => (0, _LitRenderer.html)`<div class="ui5-shellbar-menu-button-title">${(0, _LitRenderer.ifDefined)(context.primaryTitle)}</div>`;

  const block8 = (context, tags, suffix) => (0, _LitRenderer.html)`${context.hasLogo ? block9(context, tags, suffix) : undefined}${context.primaryTitle ? block10(context, tags, suffix) : undefined}`;

  const block9 = (context, tags, suffix) => (0, _LitRenderer.html)`<span class="ui5-shellbar-logo" role="button" aria-label="${(0, _LitRenderer.ifDefined)(context._logoText)}" title="${(0, _LitRenderer.ifDefined)(context._logoText)}" @click="${context._logoPress}" @keydown="${context._logoKeydown}" @keyup="${context._logoKeyup}" tabindex="0" data-ui5-stable="logo"><slot name="logo"></slot></span>`;

  const block10 = (context, tags, suffix) => (0, _LitRenderer.html)`<h1 class="ui5-shellbar-title"><bdi>${(0, _LitRenderer.ifDefined)(context.primaryTitle)}</bdi></h1>`;

  const block11 = (context, tags, suffix) => (0, _LitRenderer.html)`<h2 class="ui5-shellbar-secondary-title" data-ui5-stable="secondary-title">${(0, _LitRenderer.ifDefined)(context.secondaryTitle)}</h2>`;

  const block12 = (context, tags, suffix) => (0, _LitRenderer.html)`<div class="ui5-shellbar-copilot-wrapper" tabindex="0" aria-label="${(0, _LitRenderer.ifDefined)(context._copilotText)}" role="button" title="${(0, _LitRenderer.ifDefined)(context._copilotText)}" @keydown="${context._coPilotKeydown}" @keyup="${context._coPilotKeyup}" ?active="${context.coPilotActive}" data-ui5-stable="copilot"><svg @click="${context._coPilotClick}" focusable="false" width="48" role="presentation" aria-hidden="true" height="48" viewBox="-150 -150 300 300" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" class="ui5-shellbar-coPilot">${blockSVG1(context, tags, suffix)}</svg></div>`;

  const block13 = (context, tags, suffix) => (0, _LitRenderer.svg)`<animateTransform attributeName="transform" type="rotate" from="54" to="416" dur="15s" repeatCount="indefinite"/>`;

  const block14 = (context, tags, suffix) => (0, _LitRenderer.svg)`<animateTransform attributeName="transform" type="rotate" from="90" to="450" dur="30s" repeatCount="indefinite"/>`;

  const block15 = (context, tags, suffix) => (0, _LitRenderer.html)`<span class="ui5-shellbar-co-pilot-placeholder"></span>`;

  const block16 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`${context._fullWidthSearch ? block17(context, tags, suffix) : undefined}<div class="ui5-shellbar-search-field" style="${(0, _LitRenderer.styleMap)(context.styles.searchField)}">${!context._fullWidthSearch ? block18(context, tags, suffix) : undefined}</div><${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} id="${(0, _LitRenderer.ifDefined)(context._id)}-item-1" class="${(0, _LitRenderer.classMap)(context.classes.items.search)} ui5-shellbar-button ui5-shellbar-search-button" icon="sap-icon://search" data-ui5-text="Search" data-ui5-notifications-count="${(0, _LitRenderer.ifDefined)(context.notificationsCount)}" data-ui5-stable="toggle-search" @click=${context._handleSearchIconPress} tooltip="${(0, _LitRenderer.ifDefined)(context._searchText)}" .accessibilityAttributes=${(0, _LitRenderer.ifDefined)(context.accInfo.search.accessibilityAttributes)}></${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}>` : (0, _LitRenderer.html)`${context._fullWidthSearch ? block17(context, tags, suffix) : undefined}<div class="ui5-shellbar-search-field" style="${(0, _LitRenderer.styleMap)(context.styles.searchField)}">${!context._fullWidthSearch ? block18(context, tags, suffix) : undefined}</div><ui5-button id="${(0, _LitRenderer.ifDefined)(context._id)}-item-1" class="${(0, _LitRenderer.classMap)(context.classes.items.search)} ui5-shellbar-button ui5-shellbar-search-button" icon="sap-icon://search" data-ui5-text="Search" data-ui5-notifications-count="${(0, _LitRenderer.ifDefined)(context.notificationsCount)}" data-ui5-stable="toggle-search" @click=${context._handleSearchIconPress} tooltip="${(0, _LitRenderer.ifDefined)(context._searchText)}" .accessibilityAttributes=${(0, _LitRenderer.ifDefined)(context.accInfo.search.accessibilityAttributes)}></ui5-button>`;

  const block17 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<div class="ui5-shellbar-search-full-width-wrapper" style="${(0, _LitRenderer.styleMap)(context.styles.searchField)}"><div class="ui5-shellbar-search-full-field"><slot name="searchField"></slot></div><${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} @click=${context._handleCancelButtonPress} class="ui5-shellbar-button" data-ui5-stable="cancel-search">Cancel</${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}></div>` : (0, _LitRenderer.html)`<div class="ui5-shellbar-search-full-width-wrapper" style="${(0, _LitRenderer.styleMap)(context.styles.searchField)}"><div class="ui5-shellbar-search-full-field"><slot name="searchField"></slot></div><ui5-button @click=${context._handleCancelButtonPress} class="ui5-shellbar-button" data-ui5-stable="cancel-search">Cancel</ui5-button></div>`;

  const block18 = (context, tags, suffix) => (0, _LitRenderer.html)`<slot name="searchField"></slot>`;

  const block19 = (item, index, context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} id="${(0, _LitRenderer.ifDefined)(item.id)}" style="${(0, _LitRenderer.styleMap)(item.styles)}" class="${(0, _LitRenderer.ifDefined)(item.classes)}" icon="${(0, _LitRenderer.ifDefined)(item.icon)}" tooltip="${(0, _LitRenderer.ifDefined)(item.title)}" data-count="${(0, _LitRenderer.ifDefined)(item.count)}" data-ui5-notifications-count="${(0, _LitRenderer.ifDefined)(context.notificationsCount)}" data-ui5-external-action-item-id="${(0, _LitRenderer.ifDefined)(item.refItemid)}" data-ui5-stable="${(0, _LitRenderer.ifDefined)(item.stableDomRef)}" @click=${item.press}></${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-button id="${(0, _LitRenderer.ifDefined)(item.id)}" style="${(0, _LitRenderer.styleMap)(item.styles)}" class="${(0, _LitRenderer.ifDefined)(item.classes)}" icon="${(0, _LitRenderer.ifDefined)(item.icon)}" tooltip="${(0, _LitRenderer.ifDefined)(item.title)}" data-count="${(0, _LitRenderer.ifDefined)(item.count)}" data-ui5-notifications-count="${(0, _LitRenderer.ifDefined)(context.notificationsCount)}" data-ui5-external-action-item-id="${(0, _LitRenderer.ifDefined)(item.refItemid)}" data-ui5-stable="${(0, _LitRenderer.ifDefined)(item.stableDomRef)}" @click=${item.press}></ui5-button>`;

  const block20 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} id="${(0, _LitRenderer.ifDefined)(context._id)}-item-2" style="${(0, _LitRenderer.styleMap)(context.styles.items.notification)}" class="${(0, _LitRenderer.classMap)(context.classes.items.notification)} ui5-shellbar-button ui5-shellbar-bell-button" icon="sap-icon://bell" data-ui5-text="Notifications" data-ui5-notifications-count="${(0, _LitRenderer.ifDefined)(context.notificationsCount)}" @click=${context._handleNotificationsPress} tooltip="${(0, _LitRenderer.ifDefined)(context._notificationsText)}" data-ui5-stable="notifications"></${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-button id="${(0, _LitRenderer.ifDefined)(context._id)}-item-2" style="${(0, _LitRenderer.styleMap)(context.styles.items.notification)}" class="${(0, _LitRenderer.classMap)(context.classes.items.notification)} ui5-shellbar-button ui5-shellbar-bell-button" icon="sap-icon://bell" data-ui5-text="Notifications" data-ui5-notifications-count="${(0, _LitRenderer.ifDefined)(context.notificationsCount)}" @click=${context._handleNotificationsPress} tooltip="${(0, _LitRenderer.ifDefined)(context._notificationsText)}" data-ui5-stable="notifications"></ui5-button>`;

  const block21 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} profile-btn id="${(0, _LitRenderer.ifDefined)(context._id)}-item-3" @click=${context._handleProfilePress} style="${(0, _LitRenderer.styleMap)(context.styles.items.profile)}" tooltip="${(0, _LitRenderer.ifDefined)(context._profileText)}" class="ui5-shellbar-button ui5-shellbar-image-button" data-ui5-stable="profile"><slot name="profile"></slot></${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-button profile-btn id="${(0, _LitRenderer.ifDefined)(context._id)}-item-3" @click=${context._handleProfilePress} style="${(0, _LitRenderer.styleMap)(context.styles.items.profile)}" tooltip="${(0, _LitRenderer.ifDefined)(context._profileText)}" class="ui5-shellbar-button ui5-shellbar-image-button" data-ui5-stable="profile"><slot name="profile"></slot></ui5-button>`;

  const block22 = (context, tags, suffix) => suffix ? (0, _LitRenderer.html)`<${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)} id="${(0, _LitRenderer.ifDefined)(context._id)}-item-4" style="${(0, _LitRenderer.styleMap)(context.styles.items.product)}" class="${(0, _LitRenderer.classMap)(context.classes.items.product)} ui5-shellbar-button ui5-shellbar-button-product-switch" icon="sap-icon://grid" data-ui5-text="Product Switch" @click=${context._handleProductSwitchPress} tooltip="${(0, _LitRenderer.ifDefined)(context._productsText)}" data-ui5-stable="product-switch"></${(0, _LitRenderer.scopeTag)("ui5-button", tags, suffix)}>` : (0, _LitRenderer.html)`<ui5-button id="${(0, _LitRenderer.ifDefined)(context._id)}-item-4" style="${(0, _LitRenderer.styleMap)(context.styles.items.product)}" class="${(0, _LitRenderer.classMap)(context.classes.items.product)} ui5-shellbar-button ui5-shellbar-button-product-switch" icon="sap-icon://grid" data-ui5-text="Product Switch" @click=${context._handleProductSwitchPress} tooltip="${(0, _LitRenderer.ifDefined)(context._productsText)}" data-ui5-stable="product-switch"></ui5-button>`;

  const blockSVG1 = (context, tags, suffix) => (0, _LitRenderer.svg)`<defs><linearGradient id="f" x1="0%" x2="100%" y1="100%" y2="0%"><stop offset="0%" class="ui5-shellbar-co-pilot-color1 ui5-shellbar-co-pilot-opaicty7"/><stop offset="80%" class="ui5-shellbar-co-pilot-color2 ui5-shellbar-co-pilot-opaicty7"/></linearGradient><linearGradient id="e" x1="0%" x2="100%" y1="100%" y2="0%"><stop offset="0%" class="ui5-shellbar-co-pilot-color1 ui5-shellbar-co-pilot-opaicty36"/><stop offset="80%" class="ui5-shellbar-co-pilot-color2 ui5-shellbar-co-pilot-opaicty36"/></linearGradient><linearGradient id="c" x1="0%" x2="100%" y1="100%" y2="0%"><stop offset="0%" class="ui5-shellbar-co-pilot-color1 ui5-shellbar-co-pilot-opaicty2"/><stop offset="80%" class="ui5-shellbar-co-pilot-color2 ui5-shellbar-co-pilot-opaicty2"/></linearGradient><path id="d" d="M98.158 0c.158 17.395-9.107 31.335-18.609 45.928-9.21 14.153-18.933 25.29-33.377 34.045C31.427 88.918 17.25 94.39 0 94.273c-17.155-.115-30.823-6.582-45.798-14.949-15.216-8.497-27.76-16.77-37.253-31.375C-92.668 33.158-98.487 17.571-97.179 0c1.233-16.978 12.691-29.086 21.044-43.957 8.456-15.059 12.272-32.152 26.873-41.367 14.76-9.322 31.83-7.68 49.262-6.77 16.897.88 31.86 3.06 46.42 11.693 14.452 8.568 23.18 20.866 32.26 34.976C88.05-30.91 98.014-17.277 98.157 0z"><animate attributeName="d" values="${(0, _LitRenderer.ifDefined)(context.coPilot.animationValues)}" dur="30s" repeatCount="indefinite"/><animateTransform attributeName="transform" type="scale" values="1;1.05;1.05;1.02;1" dur="0.15s" begin="a.mousedown" repeatCount="1" additive="sum"/></path><mask id="b"><circle r="120" fill="#fff"/><circle r="76"/></mask></defs><g mask="url(#b)"><g transform="rotate(54)"><use xlink:href="#d" fill="url(#c)">${context.coPilot.animated ? block13(context, tags, suffix) : undefined}</use></g><use xlink:href="#d" fill="url(#e)" transform="rotate(74)"/><g transform="rotate(90)"><use xlink:href="#d" fill="url(#f)">${context.coPilot.animated ? block14(context, tags, suffix) : undefined}</use></g></g><circle cx="0" cy="0" r="76" class="ui5-shellbar-co-pilot-circle" id="a"/>`;

  var _default = block0;
  _exports.default = _default;
});